Package io.axoniq.dataprotection.api

## Class DataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.axoniq.dataprotection.api.DataException

- All Implemented Interfaces:
    `Serializable`

      public final class DataException
      extends RuntimeException

  Runtime exception that is thrown when something unexpected happens with a single data record, but the system should be able to continue functioning with other data entries.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataException​(String message)` | Constructs a new data exception with the specified detail message.
    `DataException​(String message, Throwable cause)` | Constructs a new data exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataException

          public DataException​(String message)

      Constructs a new data exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### DataException

          public DataException​(String message,
                               Throwable cause)

      Constructs a new data exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this data exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)